VST 3 Examples: BandistoProcessor Class Reference
Author: Steinberg

VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
BandistoProcessor Class Reference

`#include <mdaBandistoProcessor.h>`

Inheritance diagram for BandistoProcessor:

## Public Member Functions
| BandistoProcessor ()
int32 | getVst2UniqueId () const SMTG_OVERRIDE
tresult | initialize (FUnknown *context) SMTG_OVERRIDE
void | doProcessing (ProcessData &data) SMTG_OVERRIDE

## Static Public Member Functions
static FUnknown * | createInstance (void *)
static | DECLARE_UID (uid, 0x79F1CDBB, 0x1F004396, 0x947E35BA, 0x22B4FA6D)

## Protected Member Functions
void | recalculate () SMTG_OVERRIDE

## Protected Attributes
float | gain1
float | driv1
float | trim1
float | gain2
float | driv2
float | trim2
float | gain3
float | driv3
float | trim3
float | fi1
float | fb1
float | fo1
float | fi2
float | fb2
float | fo2
float | fb3
float | slev
int | valve

## Additional Inherited Members
Private Types inherited from IProcessContextRequirements
enum | Flags
Private Member Functions inherited from SampleAccurateBaseProcessor
| SampleAccurateBaseProcessor ()
void | allocParameters (int32 numParams) final
tresult | process (ProcessData &data) final
bool | processParameterChanges (IParameterChanges *changes) final
Private Attributes inherited from AudioEffect
OBJ_METHODS(AudioEffect, Component) DEFINE_INTERFACES DEF_INTERFACE(IAudioProcessor) DEF_INTERFACE(IProcessContextRequirements) END_DEFINE_INTERFACES(Component) REFCOUNT_METHODS(Component) protected ProcessContextRequirements | processContextRequirements
OBJ_METHODS(Component, ComponentBase) DEFINE_INTERFACES DEF_INTERFACE(IComponent) END_DEFINE_INTERFACES(ComponentBase) REFCOUNT_METHODS(ComponentBase) protected BusList | audioInputs
BusList | audioOutputs
BusList | eventInputs
BusList | eventOutputs
OBJ_METHODS(ComponentBase, FObject) DEFINE_INTERFACES DEF_INTERFACE(IPluginBase) DEF_INTERFACE(IConnectionPoint) END_DEFINE_INTERFACES(FObject) REFCOUNT_METHODS(FObject) protected IPtr < IConnectionPoint > | peerConnection
Static Private Attributes inherited from IPluginBase
static const FUID | iid
Static Private Attributes inherited from IConnectionPoint
static const FUID | iid
Static Private Attributes inherited from IComponent
static const FUID | iid
Static Private Attributes inherited from IAudioProcessor
static const FUID | iid
Static Private Attributes inherited from IProcessContextRequirements
static const FUID | iid

## Constructor & Destructor Documentation

BandistoProcessor | ( |  | ) |

## Member Function Documentation

int32 getVst2UniqueId | ( |  | ) | const
| inlinevirtual

Implements Processor.

tresult initialize | ( | FUnknown * | context | ) |
| virtual

Reimplemented from AudioEffect.

void doProcessing | ( | ProcessData & | data | ) |
| virtual

Implements Processor.

static FUnknown* createInstance | ( | void * |  | ) |
| inlinestatic

static DECLARE_UID | ( | uid | ,
|  | 0x79F1CDBB | ,
|  | 0x1F004396 | ,
|  | 0x947E35BA | ,
|  | 0x22B4FA6D |
| ) |  |
| inlinestatic

void recalculate | ( |  | ) |
| protectedvirtual

Reimplemented from Processor.

## Member Data Documentation

float gain1
| protected

float driv1
| protected

float trim1
| protected

float gain2
| protected

float driv2
| protected

float trim2
| protected

float gain3
| protected

float driv3
| protected

float trim3
| protected

float fi1
| protected

float fb1
| protected

float fo1
| protected

float fi2
| protected

float fb2
| protected

float fo2
| protected

float fb3
| protected

float slev
| protected

int valve
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.